﻿@model RatingPostViewModel
@using PhotoContest.Domain.ViewModels.RatingViewModels
@{
    ViewData["Title"] = "Rate this photo";
}

<div class="container">
    <h3 class="display-4">Rate the photo!</h3>

    <hr />
    @if (ViewBag.IsSuccess == true)
    {
        <div class="alert alert-success alert-dismissible fade show" role="alert">
            <strong>Congratulations</strong> You have rated the photo successfully. <br />
            Click <a asp-controller="Ratings" asp-action="Create" asp-route-id="@Model.PhotoId">here</a> to view the details
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
    }

    <form method="post" enctype="multipart/form-data" asp-action="Create" asp-controller="Ratings" asp-route-photoId="@Model.PhotoId ">
        <div asp-validation-summary="ModelOnly" class="text-danger"></div>

        <div class="form-group">
            <label asp-for="Comment" class="control-label"></label>
            <input asp-for="Comment" class="form-control" />
            <span asp-validation-for="Comment" class="text-danger"></span>
        </div>

        <div class="form-group">
            <label asp-for="Score" class="control-label"></label>
            <input asp-for="Score" class="form-control" />
            <span asp-validation-for="Score" class="text-danger"></span>
        </div>


        <div class="form-group">
            <label asp-for="IsReviewed" class="control-label"></label>
            <input asp-for="IsReviewed" class="form-control" />
            <span asp-validation-for="IsReviewed" class="text-danger"></span>
        </div>

        <div class="form-group">
            <input type="submit" value="Rate it!" class="btn btn-primary" />
        </div>
    </form>
</div>